#! /bin/bash
# SchuelerShell V 3.1 von Gisbert Friege, gfriege@t-online.de
# Nutzung gem der GNU Public License  
# $Header: shell.sch V 3.1, 24.7.99
#
# /usr/lib/ods-server/shells/shell.sch
# eMail, News und Passwort fuer SchuelerInnen
# Projektverwaltung ist mit shell.sch.proj moeglich.

cd /usr/lib/ods-server/shells

antwort=/tmp/dialog.$$

ende-der-veranstaltung () {
	dialog --title "Ende der Veranstaltung" \
		--infobox "Bitte einen Moment: ich raeume eben noch auf." \
		3 72
	sleep 1
	rm $antwort
	dialog --clear
}

trap ende-der-veranstaltung EXIT 

mailkB=`ls -sk1 /var/spool/mail/${USER} | sed -es/[a-z/]//g`
    dialog --title "${USER}"\
    --msgbox "Inhalt Deines Briefkastens: $mailkB kB" 5 60 

while true; do
    if ! dialog --title "SchuelerInnen-Menue" \
    --backtitle "ODS-Kommunikationsserver" \
    --menu "Bitte waehle eine der folgenden Taetigkeiten aus:" \
    13 72 6 \
	Hilfe           "... was soll ich tun ?" \
	Mail     "eMail und News lesen und bearbeiten" \
        Passwort	"eigenes Passwort aendern" \
	Verzeichnis	"home-Verzeichnis ansehen"\
	Drucker		"eigene Druckjobs loeschen" \
        Ende    	"dieses Programm beenden" \
	2>$antwort; then
	exit 1
    fi

    case `cat $antwort` in
    Mail)
	pine 
    ;;
    Passwort)
	passwd 
    ;;
    Verzeichnis)
        verz=${HOME}
        ls -sR $verz > ${HOME}/_iliste
        dialog  --title "$verz" \
	--backtitle "Verzeichnis mit Dateigroessen in kB" \
	--textbox ${HOME}/_iliste 20 80
	rm ${HOME}/_iliste
    ;;
    Drucker)
	. ./drucker
    ;;
    Hilfe)
	. ./Hilfe shell_sch.hlp SchuelerInnen-Menue
    ;;
    Ende)
	exit 0 
    ;;
    esac
done
